realcsh(1)

NAME
realcsh.c - A shell for running C code

SYNOPSIS
realcsh.c [gcc options]

DESCRIPTION
realcsh.c is an interactive shell that runs C source code. A line of input is handled as a line in main() function, and the resulting C code is compiled, and executed.

If a line starting with # such as #include <stdio.h> is entered, it is added to every code after that at the start of sourcecode.

The list of such lines can be seen with ##

EXAMPLES

The following is an example session

$ realcsh.c
REAL csh: printf("hello world\n");
hello world
REAL csh: system ("pwd");
/home/dancer/

INTERNALS
The following is how the C code looks like.

/*BINFMTC:
*/
#include <stdlib.h>
#include <unistd.h>
#include <stdio.h>
int main(int argc, char ** argv)
{
input-line
return 0;
}

AUTHOR
Junichi Uekawa (dancer@debian.org)

Upstream page is available at http://www.netfort.gr.jp/~dancer/software/

SEE ALSO
binfmtc-interpreter(1), realksh.c(1), realcxxsh.cc(1)